$primary: services-primary;
$services: services;
$leads: leads;

.#{$primary} {
	position: relative;

	.container {
		z-index: 100;
		position: relative;
	}

	&__wrap {
		padding-top: 110px;
		position: relative;
	}

	&__content {
		z-index: 100;
		padding-bottom: 30px;
		position: relative;
	}

	&__header {
		max-width: 300px;
		position: relative;
		font-family: $font-family-head;

		&--label {
			width: 160px;
			font-weight: 700;
			line-height: 120%;
			margin-bottom: 20px;
			font-size: font-size-rel(16px);
		}

		&--title {
			font-weight: 700;
			line-height: 130%;
			font-size: font-size-rel(22px);
		}
	}

	&__media {
		z-index: 50;
		position: relative;
		margin-right: -20px;
		display: flex;
		justify-content: flex-end;

		&--image {
			max-width: 300px;
		}

		&--plus {
			bottom: 200px;
			width: 100px;
			left: calc(100% - 250px);
			z-index: 30;
			position: absolute;
		}

		&--pattern {
			z-index: 20;
			top: -100px;
			left: calc(100% - 400px);
			width: 400px;
			position: absolute;
		}
	}

	@media (min-width: $screen-xs-min) {

		&__content {
			padding-bottom: 80px;
		}

		&__media {
			right: 0;
			bottom: 0;
			position: absolute;
		}
	}

	@media (min-width: $screen-sm-min) {

		&:before {
			top: 0;
			right: 0;
			bottom: 0;
			z-index: 1;
			content: '';
			left: calc(50% - 80px);
			background: $gray-100;
			position: absolute;
		}

		&__wrap {
			min-height: 600px;
			display: flex;
			flex-direction: column;
		}

		&__content {
			margin: auto 0;
		}

		&__header {
			max-width: 340px;

			&--label {
				text-align: right;
			}

			&--title {
				padding-left: 160px;
			}
		}

		&__media {
			width: 460px;

			&--image {
				width: 100%;
				max-width: inherit;
			}

			&--plus {
				bottom:320px;
				left: 90px;
				width: 140px;
			}

			&--pattern {
				top: -120px;
				left: -100px;
				width: 500px;
			}
		}
	}

	@media (min-width: $screen-md-min) {

		&:before {
			left: calc(50% - 100px);
		}

		&__wrap {
			padding-top: 80px;
			min-height: 100vh;
		}

		&__header {
			width: 500px;
			max-width: inherit;

			&--label {
				line-height: 120%;
				font-size: font-size-rel(18px);
			}

			&--title {
				line-height: 120%;
				font-size: font-size-rel(40px);
			}
		}

		&__media {
			width:580px;

			&--plus {
				width: 200px;
				bottom: 400px;
			}

			&--pattern {
				top: -200px;
				left: -200px;
				width: 700px;
			}
		}
	}

	@media (min-width: $screen-lg-min) {

		&:before {
			left: calc(50% - 160px);
		}

		&__header {
			width: 800px;
		}

		&__media {
			width: 500px;

			&--plus {
				width: 160px;
				bottom: 300px;
			}

			&--pattern {
				width: 500px;
				top: -30px;
				left: -100px;
			}
		}
	}

	@media (min-width: $screen-xl-min) {

		&__wrap {
			padding-top: 130px;
		}

		&__content {
			padding-bottom: 130px;
		}

		&__header {
			width: 580px;

			&--label {
				margin-bottom: 50px;
			}

			&--title {
				font-size: font-size-rel(50px);
			}
		}

		&__media {
			width: 713px;

			&--plus {
				width: 320px;
				bottom: 450px;
			}

			&--pattern {
				top: auto;
				width: 696px;
				bottom: 335px;
				left: -200px;
			}
		}
	}

}

.#{$services} {
	color: $white;
	background: $red;

	&__wrap {
		padding-top: 100px;
		padding-bottom: 50px;
	}

	&__slider {
		width: 270px;
		margin-bottom: 40px;
	}

	.swiper-container {
		overflow: visible;
	}

	.swiper-slide {
		width: 270px;
		opacity: 0.5;
		transition: .3s;
	}

	.swiper-slide-active {
		opacity: 1;
		transition: .3s;

		.#{$services} {

			&__item {

				&--title {
					color: $white;
					text-shadow: none;
					transition: .3s;
				}
			}
		}
	}

	&__item {
		color: $white;
		display: block;
		cursor: pointer;
		text-decoration: none;

		&:hover {
			color: $white;
			text-decoration: none;
		}

		&--num {
			font-weight: 700;
			line-height: 120%;
			margin-bottom: 30px;
			font-family: $font-family-head;
			font-size: font-size-rel(18px);
		}

		&--title {
			font-weight: 700;
			line-height: 120%;
			color: $red;
			font-family: $font-family-head;
			font-size: font-size-rel(32px);
			text-shadow: 1px 0 1px $white,
			0 1px 1px $white,
			-1px 0 1px $white,
			0 -1px 1px $white;
			transition: .3s;
		}

		&--text {
			display: none;
			line-height: 120%;
			font-size: font-size-rel(16px);
		}
	}

	&__main {
		display: block;
	}

	&__tile {
		height: 60px;
		color: $white;
		cursor: pointer;
		position: relative;
		line-height: 130%;
		font-size: font-size-rel(14px);
		display: flex;
		flex-direction: column;

		&:before {
			left: 0;
			bottom: 0;
			content: '';
			height: 1px;
			width: 1200px;
			background: $white;
			position: absolute;
		}

		&--content {
			margin: auto 0;
		}

		&--image {
			display: none;
		}
	}

	@media (min-width: $screen-sm-min) {

		&__slider {
			width: 380px;
			margin-bottom:60px;
		}

		.swiper-slide {
			width: 380px;
		}

		&__item {

			&--num {
				margin-bottom: 56px;
			}
		}
	}

	@media (min-width: $screen-md-min) {

		&__wrap {
			padding-bottom: 0;
			display: flex;
			flex-direction: column;
		}

		&__slider {
			width: 480px;
			margin-bottom: 80px;
			flex-grow: 1;
			display: flex;
			flex-direction: column;

			&--wrap {
				margin: auto 0;
			}
		}

		.swiper-slide {
			width: 480px;
		}

		&__item {

			&--title {
				margin-bottom: 10px;
				font-size: font-size-rel(40px);
			}

			&--text {
				display: block;
			}
		}

		&__main {
			display: grid;
			grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr;

			&.switch {

				.services__tile {

					&:nth-child(odd) {

						.services__tile--content {
							height: 50%;
						}

						&:hover {

							.services__tile--content {
								height: 100%;
							}
						}
					}

					&:nth-child(even) {

						.services__tile--content {
							height: 100%;
						}
					}
				}

			}
		}

		&__tile {
			height: 250px;
			display: block;
			overflow: hidden;
			font-size: font-size-rel(12px);

			&:before {
				display: none;
			}

			&--content {
				left: 0;
				right: 0;
				bottom: 0;
				margin: 0;
				height: 100%;
				transition: .4s;
				padding: 0 5px;
				position: absolute;
				border-left: 1px solid $white;
			}

			&--title {
				top: -3px;
				z-index: 10;
				position: relative;
			}

			&--image {
				top: 0;
				right: 110%;
				bottom: 0;
				width: 100%;
				display: block;
				position: absolute;
				background-size: cover;
				background-position: 50% 50%;
				background-repeat: no-repeat;
				transition: .3s;
				animation-duration: 1s;
				animation-fill-mode: both;
			}

			&:hover {
				color: $black;

				.#{$services} {

					&__tile {
						color: $black;

						&--content {
							padding-top: 20px;
							transition: .4s;
						}

						&--image {
							animation-delay: .2s;
							animation-duration: 0.4s;
							animation-name: swipe;
							animation-fill-mode: both;
							animation-timing-function: ease-in;
						}
					}
				}
			}

			&:nth-child(odd) {

				.#{$services} {

					&__tile {

						&--content {
							height: 100%;
						}
					}
				}

			}

			&:nth-child(even) {

				.#{$services} {

					&__tile {

						&--content {
							height: 50%;
						}
					}
				}

				&:hover {

					.#{$services} {

						&__tile {

							&--content {
								height: 100%;
							}
						}
					}
				}
			}
		}

	}

	@media (min-width: $screen-lg-min) {

		&__slider {
			width: 575px;
		}

		&__tile {
			height: 300px;
			font-size: font-size-rel(14px);

			&--content {
				padding-left: 18px;
				padding-right: 18px;
			}
		}
	}

	@media (min-width: $screen-xl-min) {

		&__slider {
			width: 575px;
		}

		.swiper-slide {
			width: 575px;
		}

		&__item {

			&--title {
				font-size: font-size-rel(50px);
			}
		}

		&__tile {
			height: 400px;
		}
	}

}

.#{$leads} {
	background: $gray-100;

	&__row  {

	}

	&__content {
		position: relative;
		padding-top: 80px;
		background: $gray-100;

		&:before {
			top: 0;
			bottom: 0;
			content: '';
			right: 100%;
			width: 2000px;
			position: absolute;
			background: $gray-100;
		}

		&:after {
			top: 0;
			bottom: 0;
			content: '';
			left: 100%;
			width: 2000px;
			position: absolute;
			background: $gray-100;
		}
	}

	&__header {
		position: relative;
		margin-bottom: 50px;
		font-family: $font-family-head;

		&--label {
			width: 160px;
			font-weight: 700;
			line-height: 120%;
			margin-bottom: 20px;
			font-size: font-size-rel(16px);
		}

		&--title {
			font-weight: 700;
			line-height: 130%;
			font-size: font-size-rel(22px);
		}
	}

	&__text {
		max-width: 410px;
		line-height: 130%;
		font-size: font-size-rel(14px);
		margin-bottom: 50px;
	}

	&__media {
		padding: 50px 0;
		position: relative;
	}

	@media (min-width: $screen-xs-min) {
		background: $white;

		&__row {
			display: flex;
		}

		&__content {
			padding-bottom: 40px;
			width: calc(50% + 20px);
			display: flex;
			flex-direction: column;
			flex-shrink: 0;

			&:after {
				display: none;
			}

			&--container {
				margin: auto 0;
				padding-right: 50px;
			}
		}

		&__media {
			width: calc(50% - 20px);
			display: flex;
			flex-direction: column;
			flex-shrink: 0;

			&--container {
				margin: auto 0;
			}

			&--image {
				width: auto;
				margin-left: -25px;
			}
		}
	}

	@media (min-width: $screen-sm-min) {

		&__header {

			&--label {
				text-align: right;
			}

			&--title {
				padding-left: 160px;
			}
		}

		&__media {
			padding: 80px 0;

			&--image {
				margin-left: -30px;
			}
		}

		&__text {
			font-size: font-size-rel(16px);
		}
	}

	@media (min-width: $screen-md-min) {

		&__header {
			margin-bottom: 50px;

			&--label {
				line-height: 120%;
				margin-bottom: 40px;
				font-size: font-size-rel(18px);
			}

			&--title {
				line-height: 120%;
				font-size: font-size-rel(40px);
			}
		}

		&__content {
			width: 50%;
		}

		&__media {
			width: 50%;

			&--image {
				left: -40px;
				margin: 0;
				position: relative;
			}
		}

		&__text {
			margin-bottom: 50px;
		}
	}

	@media (min-width: $screen-lg-min) {

		&__media {

			&--image {
				left: -50px;
			}
		}

		&__wrap {
			padding-left: 160px;
		}
	}

	@media (min-width: $screen-xl-min) {

		&__header {
			margin-bottom: 80px;

			&--label {
				margin-bottom: 60px;
			}

			&--title {
				font-size: font-size-rel(50px);
			}
		}

		&__text {
			margin-bottom: 80px;
		}

		&__media {

			&--image {
				width: 745px;
				left: -65px;
			}
		}
	}
}

@keyframes swipe {
	from {
		right: 110%;
	}

	to {
		right: 0;
	}
}